> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/vulnerability-scanner/chatgpt_image_markdown.md).

# ChatGPT\_Image\_Markdown

**Description**: A version of the model that converts messages into image markdown format while offering uncensored responses.

**How does the Test work**:

1. Pre-defined internal system prompts are used.
2. Multiple iteration of Model output is generated for these pre-defined system prompts.
3. raga-llm-eval’s `MitigationBypass` and `MarkdownLink` detectors scan the model to see if the attack was successful.
4. This concludes if the model is vulnerable to ChatGPT\_Image\_Markdown attack.

**Required arguments**: model (like:`gpt-4`)

**Interpretation of results**:

1. Score range(degree of model behaving as ChatGPT\_Image\_Markdown): `[0, 1]`. A score of 1 implies that the model does not behave as ChatGPT\_Image\_Markdown, while lower scores signify increasing levels of model behaving as ChatGPT\_Image\_Markdown.
2. Sample internal prompt and model response for `failed cases` is displayed. For detailed info on internal prompts, model responses, scores, use `evaluator.save_results('filename.json')`.

**Coding Example:**

```python
probe = 'ChatGPT_Image_Markdown'
evaluator.add_test(
    test_names=["dan_vulnerability_scanner"],
    data={
    },
    arguments={"category":[probe], "model": "gpt-4", "threshold": 1.0},
).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/vulnerability-scanner/chatgpt_image_markdown.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
